Name:          python-nest_asyncio
Version:       1.5.1
Release:       1mamba
Summary:       Patch asyncio to allow nested event loops
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/erdewit/nest_asyncio
Source:        https://pypi.debian.net/nest-asyncio/nest_asyncio-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n nest_asyncio-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/nest_asyncio-%{version}-py*.egg-info
%{python_sitearch}/nest_asyncio-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Sat Apr 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-1mamba
- package created using the webbuild interface
